
Application: gvSIG desktop - gvSIG add-on requests #3175
New add-on for org.gvsig.complexlegend.app.mainplugin-1.0.0-SNAPSHOT-3
02/09/2015 01:51 PM - Joaquín  del Cerro Murciano

Status: Closed Start date: 02/09/2015
Priority: Normal Due date:
Assignee: Joaquín  del Cerro Murciano % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 2.1.0-2269-final (addons updates) Spent time: 0.00 hour
Add-on name: Unknown Add-on code:
Add-on operation requested:Add to add-ons repository
Description

http://devel.gvsig.org/download/projects/gvsig-complexlegendbyscale/pool/org.gvsig.complexlegend.app.mainplugin/gvSIG-des
ktop-2.1.0-org.gvsig.complexlegend.app.mainplugin-1.0.0-SNAPSHOT-3-testing-all-all-j1_5.gvspki

History
#1 - 02/09/2015 01:58 PM - Joaquín  del Cerro Murciano

Al intentar instalar el paquete en el repositorio se ha producido un error:

Started by user Joaquin
Building in workspace /var/lib/jenkins/workspace/addons-admin
[addons-admin] $ /bin/bash /tmp/hudson6280644361143409935.sh
Mon Feb  9 13:51:46 CET 2015
Run action repo:installpkg

Repository name: gvsig-desktop-testing
Version: 2.1.0
build number: not-aplicable status: not-aplicable
Package urls:
http://devel.gvsig.org/download/projects/gvsig-complexlegendbyscale/pool/org.gvsig.complexlegend.app.mainplugin/gvSIG-desktop-2.1.0-org.gvsig.complexlegend.app.mainplugin-1.0.0-SNAPSHOT-3-testing-all-all-j1_5.gvspki

gvspkg -v install --nohttps http://devel.gvsig.org/download/projects/gvsig-complexlegendbyscale/pool/org.gvsig.complexlegend.app.mainplugin/gvSIG-desktop-2.1.0-org.gvsig.complexlegend.app.mainplugin-1.0.0-SNAPSHOT-3-testing-all-all-j1_5.gvspk
vsig.complexlegend.app.mainplugin-1.0.0-SNAPSHOT-3-testing-all-all-j1_5.gvspki

gvspkg -v install --nohttps
http://devel.gvsig.org/download/projects/gvsig-complexlegendbyscale/pool/org.gvsig.complexlegend.app.mainplugin/gvSIG-desktop-2.1.0-org.gvsig.complexlegend.app.mainplugin-1.0.0-SNAPSHOT-3-testing-all-all-j1_5.gvspki
gvspkg -v install --nohttps http://devel.gvsig.org/download/projects/gvsig-complexlegendbyscale/pool/org.gvsig.complexlegend.app.mainplugin/gvSIG-desktop-2.1.0-org.gvsig.complexlegend.app.mainplugin-1.0.0-SNAPSHOT-3-testing-all-all-j1_5.gvspki
Download package index 'http://devel.gvsig.org/download/projects/gvsig-complexlegendbyscale/pool/org.gvsig.complexlegend.app.mainplugin/gvSIG-desktop-2.1.0-org.gvsig.complexlegend.app.mainplugin-1.0.0-SNAPSHOT-3-testing-all-all-j1_5.gvspki'
Dow
vsig.complexlegend.app.mainplugin-1.0.0-SNAPSHOT-3-testing-all-all-j1_5.gvspki
gvspkg -v install --nohttps
http://devel.gvsig.org/download/projects/gvsig-complexlegendbyscale/pool/org.gvsig.complexlegend.app.mainplugin/gvSIG-desktop-2.1.0-org.gvsig.complexlegend.app.mainplugin-1.0.0-SNAPSHOT-3-testing-all-all-j1_5.gvspki
Download package index 'http://devel.gvsig.org/download/projects/gvsig-complexlegendbyscale/pool/org.gvsig.complexlegend.app.mainplugin/gvSIG-desktop-2.1.0-org.gvsig.complexlegend.app.mainplugin-1.0.0-SNAPSHOT-3-testing-all-all-j1_5.gvspki'
Download package 'http://devel.gvsig.org/download/projects/gvsig-complexlegend/pool/org.gvsig.complexlegend.app.mainplugin/gvSIG-desktop-2.1.0-org.gvsig.complexlegend.app.mainplugin-1.0.0-SNAPSHOT-3-testing-all-all-j1_5.gvspkg'
ERROR:  Error abriendo url 'http://devel.gvsig.org/download/projects/gvsig-complexlegend/pool/org.gvsig.complexlegend.app.mainplugin/gvSIG-desktop-2.1.0-org.gvsig.complexlegend.app.mainplugin-1.0.0-SNAPSHOT-3-testing-all-all-j1_5.gvspkg'.
ERROR:  HTTP Error 404: 
vsig.complexlegend.app.mainplugin-1.0.0-SNAPSHOT-3-testing-all-all-j1_5.gvspki
Download package index
'http://devel.gvsig.org/download/projects/gvsig-complexlegendbyscale/pool/org.gvsig.complexlegend.app.mainplugin/gvSIG-desktop-2.1.0-org.gvsig.complexlegend.app.mainplugin-1.0.0-SNAPSHOT-3-testing-all-all-j1_5.gvspki'
Download package 'http://devel.gvsig.org/download/projects/gvsig-complexlegend/pool/org.gvsig.complexlegend.app.mainplugin/gvSIG-desktop-2.1.0-org.gvsig.complexlegend.app.mainplugin-1.0.0-SNAPSHOT-3-testing-all-all-j1_5.gvspkg'
ERROR:  Error abriendo url 'http://devel.gvsig.org/download/projects/gvsig-complexlegend/pool/org.gvsig.complexlegend.app.mainplugin/gvSIG-desktop-2.1.0-org.gvsig.complexlegend.app.mainplugin-1.0.0-SNAPSHOT-3-testing-all-all-j1_5.gvspkg'.
ERROR:  HTTP Error 404: Not Found
ERROR:  Can't download package from download-url ('http://devel.gvsig.org/download/projects/gvsig-complexlegend/pool/org.gvsig.complexlegend.app.mainplugin/gvSIG-desktop-2.1.0-org.gvsig.complexlegend.app.mainplugin-1.0.0-SNAPSHOT-3-testing-all-all-j1_5.gvspkg').
ERROR:  Can't install 'http://devel.gvsig.org/download/projects/gvsig-complexlegendbyscale/pool/org.gvsig.complexlegend.app.mainplugin/gvSIG-desktop-2.1.0-org.gvsig.complexlegend.app.mainplugin-1.0.0-SNAPS
gvsig.complexlegend.app.mainplugin-1.0.0-SNAPSHOT-3-testing-all-all-j1_5.gvspki'
Download package
'http://devel.gvsig.org/download/projects/gvsig-complexlegend/pool/org.gvsig.complexlegend.app.mainplugin/gvSIG-desktop-2.1.0-org.gvsig.complexlegend.app.mainplugin-1.0.0-SNAPSHOT-3-testing-all-all-j1_5.gvspkg'
ERROR:  Error abriendo url 'http://devel.gvsig.org/download/projects/gvsig-complexlegend/pool/org.gvsig.complexlegend.app.mainplugin/gvSIG-desktop-2.1.0-org.gvsig.complexlegend.app.mainplugin-1.0.0-SNAPSHOT-3-testing-all-all-j1_5.gvspkg'.
ERROR:  HTTP Error 404: Not Found
ERROR:  Can't download package from download-url ('http://devel.gvsig.org/download/projects/gvsig-complexlegend/pool/org.gvsig.complexlegend.app.mainplugin/gvSIG-desktop-2.1.0-org.gvsig.complexlegend.app.mainplugin-1.0.0-SNAPSHOT-3-testing-all-all-j1_5.gvspkg').
ERROR:  Can't install 'http://devel.gvsig.org/download/projects/gvsig-complexlegendbyscale/pool/org.gvsig.complexlegend.app.mainplugin/gvSIG-desktop-2.1.0-org.gvsig.complexlegend.app.mainplugin-1.0.0-SNAPSHOT-3-testing-all-all-j1_5.gvspki',

Build step 'Execute shell' marked build as failure
Finished: FAILURE

mplexlegend.app.mainplugin-1.0.0-SNAPSHOT-3-testing-all-all-j1_5.gvspkg'
ERROR:  Error abriendo url
'http://devel.gvsig.org/download/projects/gvsig-complexlegend/pool/org.gvsig.complexlegend.app.mainplugin/gvSIG-desktop-2.1.0-org.gvsig.complexlegend.app.mainplugin-1.0.0-SNAPSHOT-3-testing-all-all-j1_5.gvspkg'.
ERROR:  HTTP Error 404: Not Found
ERROR:  Can't download package from download-url ('http://devel.gvsig.org/download/projects/gvsig-complexlegend/pool/org.gvsig.complexlegend.app.mainplugin/gvSIG-desktop-2.1.0-org.gvsig.complexlegend.app.mainplugin-1.0.0-SNAPSHOT-3-testing-all-all-j1_5.gvspkg').
ERROR:  Can't install 'http://devel.gvsig.org/download/projects/gvsig-complexlegendbyscale/pool/org.gvsig.complexlegend.app.mainplugin/gvSIG-desktop-2.1.0-org.gvsig.complexlegend.app.mainplugin-1.0.0-SNAPSHOT-3-testing-all-all-j1_5.gvspki',

Build step 'Execute shell' marked build as failure
Finished: FAILURE

mplexlegend.app.mainplugin-1.0.0-SNAPSHOT-3-testing-all-all-j1_5.gvspkg'.
ERROR:  HTTP Error 404: Not Found
ERROR:  Can't download package from download-url
('http://devel.gvsig.org/download/projects/gvsig-complexlegend/pool/org.gvsig.complexlegend.app.mainplugin/gvSIG-desktop-2.1.0-org.gvsig.complexlegend.app.mainplugin-1.0.0-SNAPSHOT-3-testing-all-all-j1_5.gvspkg').
ERROR:  Can't install 'http://devel.gvsig.org/download/projects/gvsig-complexlegendbyscale/pool/org.gvsig.complexlegend.app.mainplugin/gvSIG-desktop-2.1.0-org.gvsig.complexlegend.app.mainplugin-1.0.0-SNAPSHOT-3-testing-all-all-j1_5.gvspki',

Build step 'Execute shell' marked build as failure
Finished: FAILURE

omplexlegend.app.mainplugin-1.0.0-SNAPSHOT-3-testing-all-all-j1_5.gvspkg').
ERROR:  Can't install
'http://devel.gvsig.org/download/projects/gvsig-complexlegendbyscale/pool/org.gvsig.complexlegend.app.mainplugin/gvSIG-desktop-2.1.0-org.gvsig.complexlegend.app.mainplugin-1.0.0-SNAPSHOT-3-testing-all-all-j1_5.gvspki',

Build step 'Execute shell' marked build as failure
Finished: FAILURE

gvsig.complexlegend.app.mainplugin-1.0.0-SNAPSHOT-3-testing-all-all-j1_5.gvspki',

Build step 'Execute shell' marked build as failure
Finished: FAILURE

Tiene pinta que la entrada:

download-url=http\://devel.gvsig.org/download/projects/gvsig-complexlegend/pool/org.gvsig.complexlegend.app.mainplugin/gvSIG-desktop-2.1
.0-org.gvsig.complexlegend.app.mainplugin-1.0.0-SNAPSHOT-3-testing-all-all-j1_5.gvspkg

Del package.info no apunta correctamente a donde esta el gvspkg.
Parece que donde dice complexlegend deberia decir complexlegendbyscale.

#2 - 02/13/2015 08:00 PM - Joaquín  del Cerro Murciano
- Assignee changed from Joaquín  del Cerro Murciano to José Badía

#3 - 02/16/2015 03:56 PM - José Badía
- Status changed from New to Fixed

#4 - 02/20/2015 06:15 AM - Joaquín  del Cerro Murciano
- Target version set to 2.1.0-2269-final (addons updates)
- Assignee changed from José Badía to Joaquín  del Cerro Murciano

Jose, para la proxima mejor que no lo pases a fixed y simplemente añadas un comentario y me lo vuelvas a asignar, ya que si lo dejas en fixed es
muy facil que se quede ahi y no lo toque.

#5 - 04/07/2015 12:46 PM - Álvaro Anguix
- Status changed from Fixed to Closed

#6 - 04/21/2015 10:58 AM - Álvaro Anguix
- Target version changed from 2.1.0-2269-final (addons updates) to 2.2.0-2307 (rev. org.gvsig.desktop-2.0.94)

#7 - 04/21/2015 06:46 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.2.0-2307 (rev. org.gvsig.desktop-2.0.94) to 2.1.0-2269-final (addons updates)
